//------------------------------------------------------------------------------
//	M DFT
//
//		쐬ҁFO㒼C2014/04/13 쐬C(c)O㒼 2014
//------------------------------------------------------------------------------

#include "stm32f4_discovery.h"
#include <cstdio>
#include <cstdlib>
#include "dftComplex.hpp"

int main()
{
	const int N = 10;		// f[^

	float x1[N];
	Complex y1[N];

	const float PI2N = 6.28318531f/N;
	for (int n=0; n<N; n++)
		x1[n] = cosf(PI2N*n) + 0.8f*cosf(3*PI2N*n);

	for (int n=0; n<N; n++) printf("f[%2d]: %8.4f\n", n, x1[n]);

	DftComplex(x1, y1, N);		// DFT ̌vZ

	printf("\n                \n");
	for (int n=0; n<=N/2; n++)
		printf("F[%2d]: %8.4f, %8.4f\n", n, y1[n].real(), y1[n].imag());
}
