//------------------------------------------------------------------------------
//	UIt[GϊiDFTjvZ֐ \ f^gȂ
//
//		쐬ҁFO㒼C2014/04/13 쐬C(c)O㒼 2014
//------------------------------------------------------------------------------

#include <cmath>

void DftFloat(const float x[], float yRe[], float yIm[], int nFft);

// DFT ̌vZ
void DftFloat(const float x[], float yRe[], float yIm[], int nFft)
{
	float Pi2N = 6.28318531f/nFft;

	for (int k=0; k<nFft; k++)
	{
		yRe[k] = 0.0f;
		yIm[k] = 0.0f;
		for (int n=0; n<nFft; n++)
		{
			yRe[k] = yRe[k] + x[n]*cosf(Pi2N*n*k);
			yIm[k] = yIm[k] - x[n]*sinf(Pi2N*n*k);
		}
	}
}
