//------------------------------------------------------------------------------
//	Mi3g̈ʑ/3 Ƃꍇj DFT Ƃ̐Βl
//	 F[3] ̕Ίp
//
//		쐬ҁFO㒼C2014/04/13 쐬C(c)O㒼 2014
//------------------------------------------------------------------------------

#include "stm32f4_discovery.h"
#include <cstdio>
#include <cstdlib>
#include "dftComplex.hpp"

int main()
{
	const int N = 10;		// f[^

	float x1[N];
	Complex y1[N];

	const float PI = 3.14159265f;
	const float PI2N = 2*PI/N;
	const float TH = PI/3;		// 3g̈ʑ
	for (int n=0; n<N; n++)
		x1[n] = cosf(PI2N*n) + 0.8f*cosf(3*PI2N*n + TH);

	for (int n=0; n<N; n++) printf("f[%2d]: %8.4f\n", n, x1[n]);

	DftComplex(x1, y1, N);			// DFT ̌vZ

	printf("\n                     Βl\n");
	for (int n=0; n<=N/2; n++)
		printf("F[%2d]: %8.4f, %8.4f, %8.4f\n",
				n, y1[n].real(), y1[n].imag(), abs(y1[n]));

	float rad = arg(y1[3])/PI;
	printf("\narg(F[3]) = %8.4f\n", rad);
}
